%% Working clockwise from upper left.
% From this chart:
% http://extremepresentation.typepad.com/blog/2006/09/choosing_a_good.html

%% Two Variables per Item
figure(1)
x= [1.5 2 4 5 8];
y =[ 3 2 4 2.2 ];
handle = vwhist(x,y); 
axis([0 9 0 5]);

%% Many Categories
figure(2)
x = randn(50,3); y = x*[-1 2 1;2 0 1;1 -2 3;]';
plotmatrix(y,'*r')
% Could be done with subplots also

%% Many Items
figure(3)
s1 = rand(1,10);
s2 = rand(1,10);
subplot(1,2,1)
barh(s1)
subplot(1,2,2)
barh(s2)

%% Few items
figure(4)
s1 = rand(1,3)
s2 = rand(1,3)
bar([s1;s2]',1.5) %second argument width change causes overlap

%% cyclical data
figure(5)
radarplot([1 ; 2; 0 ; 3; 2 ],{ 'a' ; 'b' ; 'c' ; 'd' ; 'e' } ,'r')
% n = 100;
% theta = linspace(0,4*pi,n);
% r = rand(1,n) + linspace(1,3,n);
% polar(theta, r)

%% Non-cyclical data
figure(6)
n= 20
x = linspace(0,100,n);
y = x+x.*rand(size(x));
plot(x,y)

%% single or few categories
figure(7)
s1 = rand(1,3)
s2 = rand(1,3)
bar([s1;s2]',1.5) %second argument width change causes overlap

%% many categories
figure(8)
plot(rand(20,5)+repmat([1 : 0.5 : 3],20,1))

%% Few data points
figure(9)
d = randn(1,10000);
hist(d,5)

%% Many data points
figure(10)
d = randn(1,100000);
[y,x] = hist(d,50);
plot(x,y);
%% Two variables
figure(11)
x = rand(1,20);
y = rand(1,20);
plot(x,y,'o')
%% Three variables

Dx = 5*rand(100,1) ;  
Dy = 10*rand(100,1) ;  
D = [Dx,Dy] ;  
H = histo2D(D,[0 5],10,[0 10],5, 'Xlabel','Ylabel','2d Histogram') ;
figure(12)
surf(H)

%% Components of componenets
figure(13)
y = rand(3,5);
h = bar(y,'stacked', 'w');
hold on
h = bar(y(1:end-1,1),'r')
hold off
line([1.4 1.6],[y(1,1), sum(y(2,:))])
line([2.4 2.6],[y(2,1), sum(y(3,:))])

%% Accumulation
figure(14)
waterfallchart([1 3 4 2 5 3 4]);

% high = [10 10 9 10 12 12]';
% low  = [ 0  9 8  8 10  0]';
% closed = low;
% open = high;
% candle(high, low, closed, open)

%% Simple share of total
figure(15)
pie([25, 75])

%% Relative and absolute differences matter
figure(16)
Y = rand(20,5);
harea = area(Y)

%% Relative and absolute differences matter
figure(17)
Y = rand(20,5);
normY = Y./(repmat(sum(Y,2),[1,size(Y,2)]));
harea = area(normY)
ylim([0, 1.02])

%% Relative and absolute difference matter
figure(18)
n = 3;
s = 5;
y = rand(n,s);
h = bar(y,'stacked');

for i = 1 : n-1
    for j = 1 : s
        line(i + [0.4 0.6],[sum(y(i,1:j)), sum(y(i+1,1:j))])
    end
end

%% Only Relative and difference matter
figure(19)
n = 3;
s = 5;
Y = rand(n,s);
normY = Y./(repmat(sum(Y,2),[1,size(Y,2)]));

y = normY;
h = bar(y,'stacked');

for i = 1 : n-1
    for j = 1 : s
        line(i + [0.4 0.6],[sum(y(i,1:j)), sum(y(i+1,1:j))])
    end
end

%% Three variables
figure(20)
x = rand(1,10);
y = rand(1,10);
s = rand(1,10)*1000;

scatter(x,y,s)

%% Two variables
figure(21)
x = rand(1,20);
y = rand(1,20);
plot(x,y,'o')